summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLamont Granquist <lamont@chef.io>2019-07-26 12:11:44 -0700
committerGitHub <noreply@github.com>2019-07-26 12:11:44 -0700
commitdfb4a5e044e9e21753732d908674a3d392e41dd9 (patch)
treead566286342a0a36fefd92705175481669bc37f7
parent06e1fc76fc28fa85b1c3bbd763f0ee571d528874 (diff)
parentd1bdc99d00039e1cf693dde45861611ced93b538 (diff)
downloadchef-dfb4a5e044e9e21753732d908674a3d392e41dd9.tar.gz
Fix zypper test failures (#8774)
Fix zypper test failures
-rw-r--r--omnibus/omnibus-test.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/omnibus/omnibus-test.sh b/omnibus/omnibus-test.sh
index 068dac1a13..2c03787add 100644
--- a/omnibus/omnibus-test.sh
+++ b/omnibus/omnibus-test.sh
@@ -49,7 +49,7 @@ sudo rm -rf "$TMPDIR"
mkdir -p "$TMPDIR"
# Verify that we kill any orphaned test processes. Kill any orphaned rspec processes.
-ps ax | grep -E 'rspec' | grep -v grep | awk '{ print $1 }' | xargs sudo kill -s KILL || true
+sudo kill -9 $(ps ax | grep 'rspec' | grep -v grep | awk '{ print $1 }') || true
PATH="/opt/$product/bin:$PATH"
export PATH
@@ -152,6 +152,18 @@ elif [[ -d /usr/local/etc/sudoers.d ]]; then
sudo chmod 440 "/usr/local/etc/sudoers.d/$(id -un)-preserve_path"
fi
+# Remove the ec2 cloud zypper repos before running functional tests
+if [[ ! $(grep s390 /etc/SuSE-release) ]] > /dev/null 2>&1; then # Don't delete repos on s390x
+ if [[ $(grep -i suse /etc/SuSE-release /etc/os-release) ]] > /dev/null 2>&1; then
+ echo "Removing zypper repos for Amazon SLES nodes"
+ sleep 5 # Allow some time for repo setup to complete
+ for i in $(zypper lr |grep -v "Alias" |awk -F "|" '{print $2}'); do
+ sudo zypper rr $i
+ done
+ sudo rm /usr/lib/zypp/plugins/services/* || true
+ fi
+fi
+
cd "$chef_gem"
sudo -E bundle install
sudo -E bundle exec rspec -r rspec_junit_formatter -f RspecJunitFormatter -o test.xml -f documentation spec/functional